<template>
  <div>
    <q-list>
      <q-item>
        <q-item-section>
          <q-item-label>Sertifikat</q-item-label>
        </q-item-section>
      </q-item>
      <q-item>
        <q-btn-group>
          <q-btn icon="add" @click="addNewCertificate" color="green" />
        </q-btn-group>
      </q-item>
      <div v-for="(certificate, index) in certificates" >
        <q-item >
          <q-item-section>
            <form-produk-sertifikat
              :certificate="certificate"
              :index="index"
              @deleteCertificate="deleteCertificate(index)"
              @updateCertificate="updateCertificate"
            />
          </q-item-section>
        </q-item>
      </div>

      <q-item>
        <q-item-section>
          <q-item-label>Portofolio</q-item-label>
        </q-item-section>
      </q-item>
      <q-item>
        <q-btn-group>
          <q-btn icon="add" @click="addNewPortofolio" color="green" />
        </q-btn-group>
      </q-item>
      <div v-for="(portofolio, index) in portofolios" >
        <q-item >
          <q-item-section>
            <form-produc-portofolio
              :portofolio="portofolio"
              :index="index"
              @deletePortofolio="deletePortofolio(index)"
              @updatePortofolio="updatePortofolio"
            />
          </q-item-section>
        </q-item>
      </div>
      <q-item>
        <q-item-section>
          <q-item-label>Referensi</q-item-label>
        </q-item-section>
      </q-item>
      <q-item>
        <q-btn-group>
          <q-btn icon="add" @click="addNewReference" color="green" />
        </q-btn-group>
      </q-item>
      <div v-for="(reference, index) in productRefences" >
        <q-item >
          <q-item-section>
            <form-product-reference
              :reference="reference"
              :index="index"
              @deleteReference="deleteReference(index)"
              @updateReference="updateReference"
            />
          </q-item-section>
        </q-item>
      </div>
    </q-list>
  </div>
</template>

<script>
import FormProdukSertifikat from "components/Product/FormProdukSertifikat";
import FormProducPortofolio from "components/Product/FormProducPortofolio";
import FormProductReference from "components/Product/FormProductReference";
import FormTambahan from "components/Product/FormTambahan";

export default {
  name: 'CreateProductStep3',
  components: {
    FormProdukSertifikat,
    FormProducPortofolio,
    FormProductReference,
    FormTambahan
  },
  data () {
    return {
      certificates: [],
      portofolios: [],
      productRefences: [],
    }
  },

  methods: {
    addNewCertificate: function () {
      let formCertificate = {
        certificate_name: null,
        certificate_number: null,
        agency: null,
        issue_date: null,
        image_certificate: null,
      };
      this.certificates.push(formCertificate)
    },
    deleteCertificate: function (data) {
      this.certificates.splice(data, 1);
    },
    updateCertificate: function (data) {
      this.certificates[data.index] = data;
    },

    addNewPortofolio: function () {
      let formPortofolio = {
        "project_name" : null,
        "company_name" : null,
        "position" : null,
        "year" : {
          "start" : null,
          "end" : null
        },
        "project_place" : null
      }

      this.portofolios.push(formPortofolio)
    },
    deletePortofolio: function (data) {
      this.portofolios.splice(data, 1)
    },
    updatePortofolio: function (data) {
      this.portofolios[data.index] = data;
    },

    addNewReference: function () {
      let formReference = {
        "company_name" : null,
        "file_reference" : null
      }

      this.productRefences.push(formReference)
    },
    deleteReference: function (data) {
      this.productRefences.splice(data, 1)
    },
    updateReference: function (data) {
      this.productRefences[data.index] = data;
    },
  }
}
</script>
